sailpoint.object

## Enum Filter.BooleanOperation

- java.lang.Object
- - java.lang.Enum<Filter.BooleanOperation>
  - - sailpoint.object.Filter.BooleanOperation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Filter.BooleanOperation>

Enclosing class:
  Filter

    public static enum Filter.BooleanOperation
    extends java.lang.Enum<Filter.BooleanOperation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AND`
`NOT`
`OR`

### Method Summary

All Methods Static Methods Concrete Methods
`static Filter.BooleanOperation` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Filter.BooleanOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT

    public static final Filter.BooleanOperation NOT

#### AND

    public static final Filter.BooleanOperation AND

#### OR

    public static final Filter.BooleanOperation OR

### Method Detail

#### values

    public static Filter.BooleanOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Filter.BooleanOperation c : Filter.BooleanOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Filter.BooleanOperation valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null